Bug 174727 - Upgrade port comms/dfu-programmer to 0.5.5
Summary: Upgrade port comms/dfu-programmer to 0.5.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-27 03:30 UTC by Benjamin Washington-Yule
Modified: 2013-02-23 16:30 UTC (History)
0 users

See Also:


Attachments
file.shar (2.12 KB, text/plain)
2012-12-27 03:30 UTC, Benjamin Washington-Yule
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Washington-Yule 2012-12-27 03:30:00 UTC
Updated comms/dfu-programmer from 0.5.4 to 0.5.5.

Fix: n/a

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2012-12-27 03:30:30 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Jason Helfman freebsd_committer 2012-12-27 04:30:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 3 Jason Helfman freebsd_committer 2013-02-19 05:54:26 UTC
Responsible Changed
From-To: jgh->freebsd-ports-bugs

back to the heap
Comment 4 Pawel Pekala freebsd_committer 2013-02-23 16:25:39 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2013-02-23 16:25:41 UTC
Author: pawel
Date: Sat Feb 23 16:25:28 2013
New Revision: 312839
URL: http://svnweb.freebsd.org/changeset/ports/312839

Log:
  - Update to version 0.5.5 [1]
  - Fix build for OSVERSION < 800069 by disabling compiling with
    libusb-1.0 which isn't available there
  - Convert to OptionsNG
  - Trim Makefile header
  
  PR:		ports/174727 [1]
  Submitted by:	Benjamin Washington-Yule <byu17@uclive.ac.nz> (maintainer)

Modified:
  head/comms/dfu-programmer/Makefile
  head/comms/dfu-programmer/distinfo

Modified: head/comms/dfu-programmer/Makefile
==============================================================================
--- head/comms/dfu-programmer/Makefile	Sat Feb 23 16:18:07 2013	(r312838)
+++ head/comms/dfu-programmer/Makefile	Sat Feb 23 16:25:28 2013	(r312839)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:   dfu-programmer
-# Date created:        16 July 2009
-# Whom:                elbarto@ArcadeBSD.org
-#
+# Created by: elbarto@ArcadeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=	dfu-programmer
-PORTVERSION=	0.5.4
+PORTVERSION=	0.5.5
 CATEGORIES=	comms
 MASTER_SITES=	SF
 
@@ -15,7 +11,7 @@ COMMENT=	Device Firmware Update based US
 
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib
+LDFLAGS+=	-L${LOCALBASE}/lib -lusb
 MAKE_JOBS_SAFE=	yes
 
 PLIST_FILES=	bin/dfu-programmer
@@ -26,13 +22,14 @@ PORTDOCS=	*
 .include <bsd.port.pre.mk>
 
 .if ${OSVERSION} < 800069
-LIB_DEPENDS+=	usb-0.1.8:${PORTSDIR}/devel/libusb
+LIB_DEPENDS+=	usb:${PORTSDIR}/devel/libusb
+CONFIGURE_ARGS+=--disable-libusb_1_0
 .endif
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin
 	${INSTALL_MAN} ${WRKSRC}/docs/${PORTNAME}.1 ${MAN1PREFIX}/man/man1
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
 .endif

Modified: head/comms/dfu-programmer/distinfo
==============================================================================
--- head/comms/dfu-programmer/distinfo	Sat Feb 23 16:18:07 2013	(r312838)
+++ head/comms/dfu-programmer/distinfo	Sat Feb 23 16:25:28 2013	(r312839)
@@ -1,2 +1,2 @@
-SHA256 (dfu-programmer-0.5.4.tar.gz) = c0fb08fead3d4379368d0e4af5a5aa99c7acee32fa8696cd3e27d2f7856a20de
-SIZE (dfu-programmer-0.5.4.tar.gz) = 126700
+SHA256 (dfu-programmer-0.5.5.tar.gz) = 9bc3c5993e59ce908d4e3dbfda01e273ca34f86900fcb925915bbe65ff7ad246
+SIZE (dfu-programmer-0.5.5.tar.gz) = 128147
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"